Subject: bug#64152: 29.0.92; 'redirect-frame-focus' is broken

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Jun 2023 18:27:48 +0300

> Date: Sun, 18 Jun 2023 16:26:56 +0200
> From: martin rudalics <[email-masked]>
> 
> With Emacs 29 both texts have become false.  Selecting a frame no longer
> shifts focus to that frame.
> 
> That change has immediate consequences for interactions based on
> read_minibuf.  With emacs -Q evaluate (make-frame '((minibuffer . nil)))
> and in the frame created thusly type C-x C-f.  At this time it is
> impossible to access the minibuffer-less frame using C-x o, C-x 5 o, the
> window manager's Alt-TAB or any other key combination.  All these key
> combinations used to work in the given configuration ever since.  With a
> minibuffer-only frames setup, the minibuffer window has become "modal".

This works in Emacs 28, so the minibuffer-follows-selected-frame
changes aren't the culprit.  Bisection will be appreciated.